> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Hris Expense Report

> Creates a DRAFT expense report denominated in the employee's contract currency.

Not available to API keys yet. It will need `expenses:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-hris-expense-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-hris-expense-report:
    post:
      operationId: createHrisExpenseReport
      summary: Create Hris Expense Report
      description: >-
        Creates a DRAFT expense report denominated in the employee's contract
        currency.


        Not available to API keys yet. It will need `expenses:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateHrisExpenseReportRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateHrisExpenseReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateHrisExpenseReportRequest:
      type: object
      properties:
        roleInOrgID:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
          maxLength: 200
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        expensedCurrencyID:
          type: string
          format: uuid
        reimbursementCurrencyID:
          type: string
          format: uuid
        justification:
          type: string
          description: >-
            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
      required:
        - name
        - startDate
    CreateHrisExpenseReportResponse:
      type: object
      properties:
        hrisExpenseReportID:
          type: string
          format: uuid
      required:
        - hrisExpenseReportID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
